Sensors

Sensor data and metadata retrieval

Get sensors with calibration data, latest measurements, and alert settings

get
/sensors-dense

Fetches the list of claimed and shared sensors with calibration data, sensor last measurement, subscription type and alert settings.

By default the endpoint returns only the claimed sensors with calibration data. Optional query parameters must be passed to get shared sensors, last measurements, and alert settings.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sensorstringOptional

Optionally filter results to a single sensor by MAC address

Pattern: ^([0-9A-Fa-f]{2}:){5}[0-9A-Fa-f]{2}$
sharedToOthersbooleanOptional

If true, each sensor object includes the list of users it is shared to. Returns an empty list for sensors the caller does not own.

sharedToMebooleanOptional

If true, sensors that are shared to the logged-in user are included in the response alongside sensors claimed by the user.

measurementsbooleanOptional

If true, the latest measurement for each sensor is included. Also returns the active subscription details for each sensor.

alertsbooleanOptional

If true, the alert settings for each sensor are included.

settingsbooleanOptional

If true, sensor-specific settings are included for each sensor.

modestring · enumOptional

Fetch mode for measurement data. dense returns highest data density for a limited time range. sparse returns downsampled data with no time-range limit. mixed returns all dense data available and fills the rest with sparse data. Default: mixed.

Default: mixedPossible values:
Responses
chevron-right
200

Sensors retrieved successfully

application/json
resultstring · enumRequiredExample: successPossible values:
get
/sensors-dense

Last updated